Class | Rubygame::MouseMotionEvent
In: | lib/rubygame/event.rb
Parent: | Event

Indicates that the mouse cursor moved.

This event has these attributes:

pos: | the new position of the cursor, in the form [x,y].
rel: | the relative movement of the cursor since the last update, [x,y].
buttons: | the mouse buttons that were being held during the movement, an Array of zero or more of these constants in module Rubygame (or the corresponding button number):
MOUSE_LEFT: | 1; left mouse button
MOUSE_MIDDLE: | 2; middle mouse button
MOUSE_RIGHT: | 3; right mouse button

### Methods

new

### Attributes

buttons | [RW] |
pos | [RW] |
rel | [RW] |

### Public Class methods

new(pos,rel,buttons)

[Validate]